Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.cfg
Class IndexedMapping

    java.lang.Object
      org.hibernate.search.cfg.IndexedMapping

    public class IndexedMapping

extends java.lang.Object

Constructor Summary
`IndexedMapping(SearchMapping mapping, EntityDescriptor entity, EntityMapping entityMapping)`

Method Summary
`AnalyzerDefMapping` | `analyzerDef(java.lang.String name, java.lang.Class<? extends org.apache.solr.analysis.TokenizerFactory> tokenizerFactory)`
`IndexedMapping` | `analyzerDiscriminator(java.lang.Class<? extends Discriminator> discriminator)`
`IndexedMapping` | `boost(float boost)`
`EntityMapping` | `entity(java.lang.Class<?> entityType)`
`FullTextFilterDefMapping` | `fullTextFilterDef(java.lang.String name, java.lang.Class<?> impl)`
`EntityMapping` | `indexName(java.lang.String indexName)`
`PropertyMapping` | `property(java.lang.String name, java.lang.annotation.ElementType type)`
`ProvidedIdMapping` | `providedId()`
`IndexedMapping` | `similarity(java.lang.Class<?> impl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexedMapping

    public IndexedMapping(SearchMapping mapping,
                          EntityDescriptor entity,
                          EntityMapping entityMapping)

Method Detail

### indexName

    public EntityMapping indexName(java.lang.String indexName)

### similarity

    public IndexedMapping similarity(java.lang.Class<?> impl)

### boost

    public IndexedMapping boost(float boost)

### analyzerDiscriminator

    public IndexedMapping analyzerDiscriminator(java.lang.Class<? extends Discriminator> discriminator)

### fullTextFilterDef

    public FullTextFilterDefMapping fullTextFilterDef(java.lang.String name,
                                                      java.lang.Class<?> impl)

### property

    public PropertyMapping property(java.lang.String name,
                                    java.lang.annotation.ElementType type)

### analyzerDef

    public AnalyzerDefMapping analyzerDef(java.lang.String name,
                                          java.lang.Class<? extends org.apache.solr.analysis.TokenizerFactory> tokenizerFactory)

### entity

    public EntityMapping entity(java.lang.Class<?> entityType)

### providedId

    public ProvidedIdMapping providedId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.